#!/usr/bin/env python
"""
main.py
March 26, 2011

The main recent-notifications-unity application.
"""

import os

from gi.repository import GObject, Gtk, Unity

class MainWindow(Gtk.Window):
  def __init__(self):
    GObject.GObject.__init__(self)
    self.set_title("Recent Notifications")
    self.set_default_size(400, 400)
    self.connect("destroy", Gtk.main_quit)

    self._button = Gtk.Button("Test")
    self._button.connect("clicked", self.on_button_clicked)
    self.add(self._button)

    self._message_count = 0

    self._launcher = Unity.LauncherEntry.get_for_desktop_id("rn-unity.desktop")

  def on_button_clicked(self, button):
    self._message_count += 1
    self._launcher.set_property("count", self._message_count)
    if self._message_count > 0:
      self._launcher.set_property("count_visible", True)

def main():
  window = MainWindow()
  window.show_all()
  Gtk.main()

if __name__ == "__main__":
  main()
